{: test a compilation error occurs for a record with a malformed fieldlist }

{$d+}
program e033( output );

var
   i  : integer;
   r  : record
           da, de : array[1..10] of real;
           di     : array[1..10] of real;
           do, du : array[1..10] of real     {!!! do is a reserved word }
        end;
begin {e033}

   for i := 1 to 10 do r.da[i] := i+9;
   r.de := r.da;  {OK}

   writeln( 'fails: record fieldlist error not detected' );

end. {e033}

